/*
 * FormatElementsOperation.java
 *
 * Created on 17 settembre 2003, 17.20
 */
package it.businesslogic.ireport.undo;

import it.businesslogic.ireport.*;
import it.businesslogic.ireport.util.*;
import it.businesslogic.ireport.gui.*;
import java.util.*;
/**
 *
 * @author  Administrator
 */
public class FormatElementsOperation extends it.businesslogic.ireport.undo.TransformElementsOperation {
    
    public int operationType=0;
    /** Creates a new instance of FormatElementsOperation */
    public FormatElementsOperation(JReportFrame jrf, CrosstabReportElement crosstabReportElement, int operationType) {
        super(jrf,crosstabReportElement);
        this.operationType = operationType;
    }
    
  
     public String toString()
    {
        switch (operationType)
        {
            case OperationType.ALIGN_LEFT: return " align to left";
            default: return " elements format";
        }
    }
  
}
